import 'package:aves/app_flavor.dart';
import 'package:aves/main_common.dart';
import 'package:aves/widget_common.dart';
import 'package:aves/widgets/cast/cast_controller.dart';
import 'package:flutter/widgets.dart';

const _flavor = AppFlavor.play;

@pragma('vm:entry-point')
Future<void> main() async {
  WidgetsFlutterBinding.ensureInitialized();

  // Carica backend salvato
  await CastController.instance.loadSavedBackend();

  // ⭐ AVVIA Aves come fa il main originale
  mainCommon(_flavor);
}

@pragma('vm:entry-point')
void widgetMain() => widgetMainCommon(_flavor);
